%bcond_with bootstrap

Name:           plexus-languages
Version:        1.1.1
Release:        5%{?dist}
Summary:        Plexus Languages
License:        ASL 2.0
URL:            https://github.com/codehaus-plexus/plexus-languages
Source0:        https://github.com/codehaus-plexus/plexus-languages/archive/plexus-languages-%{version}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(com.thoughtworks.qdox:qdox)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.apache.maven.plugins:maven-failsafe-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.ow2.asm:asm)
%endif

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
Plexus Languages is a set of Plexus components that maintain shared
language features.

%{?javadoc_package}



%prep
%autosetup -n plexus-languages-plexus-languages-%{version}
find -name '*.jar' -delete
find -name '*.class' -delete

cp %{SOURCE1} .

%pom_remove_plugin :maven-enforcer-plugin



%build
%mvn_build -f



%install
%mvn_install



%files -f .mfiles
%license LICENSE-2.0.txt



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.1.1-3
- switched to non-bootstrap building

* Wed Apr 12 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.1.1-2
- rebuilding

* Wed Apr 12 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.1.1-1
- initial
